package jalview.schemes;

import static org.junit.Assert.*;

import jalview.datamodel.AlignmentI;
import jalview.datamodel.ColumnSelection;
import jalview.datamodel.Sequence;
import jalview.datamodel.SequenceI;

import java.io.IOException;
import java.util.Map;

import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;

public class DnaCodonTests
{

  @Test
  public void testAmbiguityCodeGeneration()
  {
    assertTrue(ResidueProperties.ambiguityCodes.size()>0);
  }
  @Test
  public void testAmbiguityCodon() {
    for (String ac:ResidueProperties.ambiguityCodes.keySet())
    {
      assertTrue("Couldn't resolve GGN as glycine codon",ResidueProperties.codonHash2.get("GG"+ac).equals("G"));
    }
  }
  @Test
  public void regenerateCodonTable() {
    for (Map.Entry<String, String> codon:ResidueProperties.codonHash2.entrySet())
    {
      System.out.println("ResidueProperties.codonHash2.set(\""+codon.getKey()+"\", \""+codon.getValue()+"\");");
    }
  }
}
